### A free/open-source library for quantitative finance

Classes | Typedefs
ql/experimental/credit/syntheticcdoengines.hpp File Reference

Pricing engines for the Synthetic CDO instrument. More...

`#include <ql/experimental/credit/syntheticcdo.hpp>`
`#include <ql/experimental/credit/randomdefaultmodel.hpp>`
`#include <ql/math/distributions/normaldistribution.hpp>`
`#include <ql/math/distributions/bivariatenormaldistribution.hpp>`
Include dependency graph for syntheticcdoengines.hpp:

## Classes

class | SyntheticCDO::engine
| CDO base engine. More...
class | MidPointCDOEngine
| CDO base engine taking schedule steps. More...
class | IntegralCDOEngine
| CDO base engine taking (possibly) small time steps. More...
class | MonteCarloCDOEngine1
| CDO engine, Monte Carlo for the exptected tranche loss distribution. More...
class | MonteCarloCDOEngine2
| CDO engine, Monte Carlo for the sample payoff. More...
class | HomogeneousPoolCDOEngine< CDOEngine >
| CDO engine, loss distribution convolution for finite homogeneous pool. More...
class | InhomogeneousPoolCDOEngine< CDOEngine >
| CDO engine, loss disctribution bucketing for finite inhomogeneous pool. More...
class | GaussianLHPCDOEngine< CDOEngine >

## Typedefs

typedef HomogeneousPoolCDOEngine < MidPointCDOEngine > | HPMidPointCDOEngine
typedef HomogeneousPoolCDOEngine < IntegralCDOEngine > | HPIntegralCDOEngine
typedef InhomogeneousPoolCDOEngine < MidPointCDOEngine > | IHPMidPointCDOEngine
typedef InhomogeneousPoolCDOEngine < IntegralCDOEngine > | IHPIntegralCDOEngine
typedef GaussianLHPCDOEngine < MidPointCDOEngine > | GLHPMidPointCDOEngine
typedef GaussianLHPCDOEngine < IntegralCDOEngine > | GLHPIntegralCDOEngine

## Detailed Description

Pricing engines for the Synthetic CDO instrument.

Possible enhancements:
  Add further engines for analytical expected tranche loss cases - large homogeneous pool with Normal Inverse Gaussian, Gamma copula